Package org.eclipse.cdt.utils.envvar

# Interface IEnvironmentChangeEvent

public interface IEnvironmentChangeEvent
A class to describe changes to environment variables defined by user on CDT Environment page in Preferences.

Since:
  5.5

## Method Summary

Modifier and Type
Method
Description
`IEnvironmentVariable[]`
`getNewVariables()`
`IEnvironmentVariable[]`
`getOldVariables()`

## Method Details

### getOldVariables

IEnvironmentVariable[] getOldVariables()

Returns:
  an array of environment variables before the changes. If there are no variables, returns an empty array.

### getNewVariables

IEnvironmentVariable[] getNewVariables()

Returns:
  an array of environment variables after the changes. If there are no variables, returns an empty array.